Bug 853195 - having multiple sync schedule results is resource not found error pulp.log
having multiple sync schedule results is resource not found error pulp.log
Status: CLOSED NOTABUG
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 42
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 13:10 EDT by Preethi Thomas
Modified: 2014-03-30 21:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 08:33:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-30 13:10:07 EDT
Description of problem:

If  you have multiple sync schedules for a repo, pulp.log has a resource not found error.
 
Version-Release number of selected component (if applicable):
[root@pulp-candidate ~]# rpm -qa pulp-rpm-server
pulp-rpm-server-2.0.1-1.fc17.noarch
[root@pulp-candidate ~]# 


How reproducible:


Steps to Reproduce:
1. Add multiple sync schedules for a repo.
2.
3.
  
Actual results:
2012-08-30 13:08:29,725 26465:140337209124608: pulp.server.dispatch.task:INFO: task:163 Task 5201cdde-f2c5-11e1-a52f-5452003c7b52: CallRequest: RepoSyncManager.sync(u'zoo', sync_config_override={}) FAILED
2012-08-30 13:08:59,709 26465:140339732526848: pulp.server.dispatch.scheduler:INFO: scheduler:101 Scheduled CallRequest: RepoSyncManager.sync(u'zoo', sync_config_override={}): accepted [reasons: []]
2012-08-30 13:08:59,867 26465:140337209124608: pulp.server.dispatch.task:ERROR: task:133 Missing resource(s): resource_id=zoo
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/server/dispatch/task.py", line 130, in _run
    result = call(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/server/managers/repo/sync.py", line 124, in sync
    raise MissingResource(repo_id)
MissingResource: Missing resource(s): resource_id=zoo
2012-08-30 13:08:59,964 26465:140337209124608: pulp.server.dispatch.task:INFO: task:163 Task 63ec0ea6-f2c5-11e1-9a97-5452003c7b52: CallRequest: RepoSyncManager.sync(u'zoo', sync_config_override={}) FAILED



Expected results:


Additional info:
Comment 1 Jay Dobies 2012-12-07 17:05:29 EST
Preethi - can you consistently reproduce it?
Comment 2 Preethi Thomas 2012-12-11 08:33:02 EST
No, this seems like a non-issue. Closing

Note You need to log in before you can comment on or make changes to this bug.